Expense Endpoints
API endpoints for expense tracking, income management, and recurring expenses.
Expensesโ
List Expensesโ
GET /api/expense?take=20&skip=0&startDate=2024-01-01&endDate=2024-01-31
Authorization: Bearer {token}
Response (200 OK):
{
"items": [
{
"id": "...",
"amount": 250.0,
"currency": "USD",
"valueDate": "2024-01-15T00:00:00.000Z",
"notes": "Office supplies",
"purpose": "Office",
"vendor": { "name": "Office Depot" },
"category": { "name": "Supplies" },
"status": "REPORTED",
"organizationId": "..."
}
],
"total": 30
}
Create Expenseโ
POST /api/expense
Authorization: Bearer {token}
Content-Type: application/json
{
"amount": 250.00,
"currency": "USD",
"valueDate": "2024-01-15",
"notes": "Office supplies",
"purpose": "Office",
"typeOfExpense": "BILLABLE_TO_CONTACT",
"categoryId": "category-uuid",
"vendorId": "vendor-uuid",
"organizationId": "org-uuid"
}
Expense Statusesโ
| Status | Description |
|---|---|
REPORTED | Expense reported |
INVOICED | Included in an invoice |
PAID | Reimbursed |
Expense Typesโ
| Type | Description |
|---|---|
BILLABLE_TO_CONTACT | Bill to client |
NON_BILLABLE | Internal expense |
TAX_DEDUCTIBLE | Tax-deductible expense |
Incomeโ
List Incomeโ
GET /api/income?take=20&skip=0
Authorization: Bearer {token}
Create Incomeโ
POST /api/income
Authorization: Bearer {token}
Content-Type: application/json
{
"amount": 5000.00,
"currency": "USD",
"valueDate": "2024-01-15",
"notes": "Client payment for January",
"clientId": "contact-uuid",
"organizationId": "org-uuid"
}
Expense Categoriesโ
List Categoriesโ
GET /api/expense-categories
Authorization: Bearer {token}
Create Categoryโ
POST /api/expense-categories
Authorization: Bearer {token}
Content-Type: application/json
{
"name": "Travel",
"organizationId": "org-uuid"
}
Organization Recurring Expensesโ
List Recurring Expensesโ
GET /api/organization-recurring-expense?where[organizationId]={org-id}
Authorization: Bearer {token}
Create Recurring Expenseโ
POST /api/organization-recurring-expense
Authorization: Bearer {token}
Content-Type: application/json
{
"categoryName": "Cloud Hosting",
"value": 500,
"currency": "USD",
"startDate": "2024-01-01",
"organizationId": "org-uuid"
}
Related Pagesโ
- Invoice Endpoints โ invoicing and payments
- API Overview โ general API information